homepage/urls.py
from django.urls import path
from . import views


app_name = 'homepage'

urlpatterns = [
    path('', views.portofolio, name='portofolio'),
    path('profil/', views.profile, name='profil'),
    path('jadwal/', views.forms_view, name='form jadwal'),
    path('delete/<int:pk>', views.delete_activity, name='delete')
    
]

story4/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('homepage.urls')),
]

homepage/models.py
from django.db import models
# cari tahu gimana masukkin waktu ke modelsnya
# Create your models here.
class Mod(models.Model):

    kegiatan = models.CharField(max_length=120)
    kategori = models.CharField(max_length=120, default='immediate')
    tempat = models.CharField(max_length=120, default = 'Depok')
    tanggal_kegiatan = models.DateField("Event Date")
    waktu_kegiatan = models.TimeField("Waktu kegiatan")

    def __str__(self):
        return "{}.{}".format(self.id, self.nama_kegiatan)

homepage/forms.py
from django.forms import ModelForm
from .models import Mod

class ModForms(ModelForm):
    class Meta:
        model = Mod
        
        fields = [
            'kegiatan',
            'tanggal_kegiatan',
            'waktu_kegiatan',
            'tempat',
            'kategori',
        ]

homepage/views.py
from django.shortcuts import render, get_object_or_404, redirect
from django.shortcuts import render
from django.http import HttpResponseRedirect
from .forms import ModForms
from .models import Mod
from datetime import datetime

def portofolio(request):
    return render(request, 'portofolio.html')
def profile(request):
    return render(request, 'profile.html')
def forms_view(request):
    response = {}
    form = ModForms(request.POST or None)
    if (request.method == 'POST' and form.is_valid()):
        response['kegiatan'] = request.POST['kegiatan']
        response['tanggal_kegiatan'] = request.POST['tanggal_kegiatan']
        response['waktu_kegiatan'] = request.POST['waktu_kegiatan']
        response['kategori'] = request.POST['kategori']
        response['tempat'] = request.POST['tempat']

        mod = Mod(kegiatan=response['kegiatan'], tanggal_kegiatan=response['tanggal_kegiatan'], waktu_kegiatan=response['waktu_kegiatan'], kategori=response['kategori'], tempat=response['tempat'])
        mod.save()
        form = ModForms(request.POST or None)

    context = {
        'form':form,
        'all_mod':Mod.objects.all(),
    }

    return render(request,"forms.html",context)

def view_form(request):
    data = Mod.objects.all()
    return render(request, 'forms.html', {'data': data})

def delete_activity(request, pk):
    activity = get_object_or_404(Mod, pk=pk)
    activity.delete()

    return redirect('/jadwal')

# Create your views here.

homepage/templates/forms.html
{% load static %}
{% block body %}
    <div class="container-form">
        {% with url_name=request.resolver_match.url_name %}
            {% if url_name == 'form' %}
                <h1>Add a reminder</h1>
            {% else %}
                <h1>Masukkan Aktivitasmu</h1>
            {% endif %}
        {% endwith %}

        <form action="/jadwal/" method="POST">
            {% csrf_token %}
            <table>
                <tr>
                    {{ form.as_table }}
                </tr>
            </table>
            {% with url_name=request.resolver_match.url_name %}
            {% if url_name == 'delete_activity' %}
                <a href="/show">
                    <button class="btn btn-danger" type="submit">Delete</button>
                </a>
            {% else %}
                <button class="btn-success" type="submit">Add</button>
            {% endif %}
            {% endwith %}
        </form>
        {% if messages %}
        <ul class="messages">
            {% for message in messages %}
                <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>
            {% endfor %}
        </ul>
        {% endif %}
    </div>
    <table style="width:100%">
        <tr>
            <th>Activity</th>
            <th>Date</th>
            <th>Time</th>
            <th>Place</th>
            <th>Category</th>
        </tr>
        {% for m in all_mod %}
        <tr>
            <td align = "center">{{ m.kegiatan }}</td>
            <td align = "center">{{ m.tanggal_kegiatan }}</td>
            <td align = "center">{{ m.waktu_kegiatan }}</td>
            <td align = "center">{{ m.tempat }}</td>
            <td align = "center">{{ m.kategori }}</td>
            <td> 
                <a href="{% url 'homepage:delete' m.id %}">delete</a>
                <!-- <form action="delete/" method="POST">   
                    <button class="btn btn-danger" type="submit">Delete</button>
                </form> -->
            </td>
        </tr>
        {% endfor %}
    </table>
    
    
{% endblock %}

homepage/templates/portofolio.html
<!DOCTYPE html>
{% load static %}
<html>
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width = device-width, initial-scale = 1">
        <link href="https://fonts.googleapis.com/css?family=Rubik&display=swap" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Roboto&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
        <link rel="stylesheet" type="text/css" href="{% static 'portofolio.css' %}">

        <title>Nasywa Nur Fathiyah
            
        </title>
    </head>
    <body>
    <div class="hal-1 position-relative d-flex justify-content-center align-items-center">
                <div>
                    <h1>Hi</h1>    
                </div>
            <div class="scroll-down">
                <p>Scroll down to continue</p>
                <img src = "{% static 'segitiga222.PNG' %}" alt="Segitiga Abu2 bawah" width=80px>
            </div>
    </div>
    <div class = "hal-2">
        <div class = "container">
            <div class="row">
                <div class="col-sm">
                    <img src = "{% static 'Nasywa.jpg' %}" alt="foto profil" width=362‬px height=476.666px>
                </div>
                <div class="col-sm">
                    <h1>
                        About Me
                    </h1>
                    <p>
                    My name is Nasywa Nur Fathiyah, I am 18 years old. Right now, I am in my sophomore year in Faculty of Computer Science Universitas Indonesia majoring in Computer Science. Currently, I have a high interest in data analytics. Other than computer science-related subjects, I also have a high interest in public speaking, that is why I sometimes join an MUN competitions. 
                    </p>
                    <a href="{% url 'profil'" class="btn btn-primary btn-lg active" role="button" aria-pressed="true">
                            Educational Background
                    </a>
                    <a href="{% url 'jadwal'" class="btn btn-primary btn-lg active" role="button" aria-pressed="true">
                            Make Forms
                    </a>

                </div>
                   
            </div>
        </div>       
    </div>
    <div class = "hal-3">
        <div class="container">
            <h1>My Activities at the moment</h1>
            <div class = "hal-3 d-flex flex-wrap justify-content-evenly">
                <div class="photo">
                    <img src="{% static 'logo-bem.png' %}" alt = "BEM" width=120px  height=146px;>
                </div>
                <div class="tulisan">
                    <p>Staff of Adkesma BEM Fasilkom UI</p>
                </div>
            </div>
            <div class = "hal-3 d-flex flex-wrap justify-content-evenly">
                <div class="photo">
                    <img src="{% static 'sistem.png' %}" alt = "SISTEM" width=120px height=120px>
                </div>
                <div class="tulisan">
                    <p>Staff of Consulting SIG SISTEM</p>
                </div>
            </div>
            <div class = "hal-3 d-flex flex-wrap justify-content-evenly">
                <div class="photo">
                    <img src = "{% static 'pmb.png' %}" alt = "PMB" width=120px height=120px>
                </div>
                <div class="tulisan">
                    <p>Secretary 2</p>
                </div>
            </div>
        </div> 
    </div>
    <div class = "hal-4 position-relative d-flex flex-column justify-content-center">
        <h1>Contact me through</h1>
        <div class = " d-flex justify-content-around align-items-center ">
            <img src = "{% static 'linkedinn.png' %}" alt = "logo LinkedIn" width=195px height=195px>
            <img src = "{% static 'email-icon.png' %}" alt = "logo email" width= 189px  height= 135px>
        </div>
    </div>
    <div class = "navbar">
        <nav class = "navbarr navbar-light bg-light">
            <a href="#home" class="navbar-home"> Home </a>
            <ul>
                <li><a href="#home">Home</a></li>
                <li><a href="#news">News</a></li>
                <li><a href="#contact">Contact</a></li>
                <li style="float:right"><a class="active" href="#about">About</a></li>
            </ul>
        </nav>
        
    </div>

    </body>
</html>

homepage/templates/profil.html
<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width = device-width, initial-scale = 1">
        <link href="https://fonts.googleapis.com/css?family=Rubik&display=swap" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Roboto&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
        <link rel="stylesheet" type="text/css" href="portofolio.css">
    </head>
    <body>
            <div class = "EducationalBackground">
                    <div class="container">
                        <h1>Educational Background</h1>
                        <div class = "EducationalBackground d-flex flex-wrap justify-content-evenly">
                            <div class="photo">
                                <img src="Makara.png" alt = "UI" width=120px  height=131,1px;>
                            </div>
                            <div class="tulisan">
                                <p>Universitas Indonesia</p>
                                <p>Bachelor of Computer Science</p>
                                <p>2018-2022</p>
                            </div>
                        </div>
                        <div class = "EducationalBackground d-flex flex-wrap justify-content-evenly">
                            <div class="photo">
                                <img src="padmanaba.jpg" alt = "Padmanaba" width=120px height=120px>
                            </div>
                            <div class="tulisan">
                                <p>SMAN 3 Yogyakarta</p>
                                <p>Jurusan IPA</p>
                                <p>2015-2018</p>
                            </div>
                        </div>
                        <div class = "EducationalBackground d-flex flex-wrap justify-content-evenly">
                            <div class="photo">
                                <img src = "al-azhar.png" alt = "Al-Azhar" width=120px height=120px>
                            </div>
                            <div class="tulisan">
                                <p>SMPI Al-Azhar 15 Cilacap</p>
                                <p>2012-2015</p>
                                
                            </div>
                        </div>
                        <a href="portofolio.html" class="btn btn-primary btn-lg active" role="button" aria-pressed="true">
                            Home
                        </a>
                    </div> 
                </div>
                <div class = "hal-4 position-relative d-flex flex-column justify-content-center">
    </body>
</html>